Any help with this would be greatly appreciated. I'm following the UPDATING
file in /usr/ports,  I'm trying to upgrade to Xorg 7.2.0  things were
running smoothly up until pkgdb -F reachded xdriinfo-1.0.1_1, here is the
output..


[EMAIL PROTECTED] /usr/ports]# pkgdb -F
--->  Checking the package registry database
Stale dependency: xorg-apps-7.2 -> xdriinfo-1.0.1_1 (x11/xdriinfo):
Install stale dependency? ([y]es/[n]o/[a]ll) [yes]
[Gathering depends for x11/xdriinfo
............................................................ done]
--->  Installing 'xdriinfo-1.0.1_1' from a port (x11/xdriinfo)
--->  Building '/usr/ports/x11/xdriinfo'
===>  Cleaning for glproto-1.4.8
===>  Cleaning for libX11-1.1.1_1,1
===>  Cleaning for pkg-config-0.21
===>  Cleaning for libGL-6.5.3_2
===>  Cleaning for bigreqsproto-1.0.2
===>  Cleaning for xextproto-7.0.2
===>  Cleaning for xcmiscproto-1.1.2
===>  Cleaning for kbproto-1.0.3
===>  Cleaning for inputproto-1.3.2
===>  Cleaning for xf86bigfontproto-1.1.2
===>  Cleaning for libXau-1.0.3_2
===>  Cleaning for libXdmcp-1.0.2
===>  Cleaning for xtrans-1.0.3
===>  Cleaning for xproto-7.0.10
===>  Cleaning for libtool-1.5.22_4
===>  Cleaning for gmake-3.81_2
===>  Cleaning for makedepend-1.0.0,1
===>  Cleaning for libXxf86vm-1.0.1
===>  Cleaning for libXext-1.0.3,1
===>  Cleaning for libXfixes-4.0.3
===>  Cleaning for libXdamage-1.1.1
===>  Cleaning for libdrm-2.3.0
===>  Cleaning for gettext-0.16.1_3
===>  Cleaning for xf86vidmodeproto-2.2.2
===>  Cleaning for fixesproto-4.0
===>  Cleaning for damageproto-1.1.0_2
===>  Cleaning for libiconv-1.9.2_2
===>  Cleaning for xdriinfo-1.0.1_1
===>  Vulnerability check disabled, database not found
===>  Extracting for xdriinfo-1.0.1_1
=> MD5 Checksum OK for xorg/app/xdriinfo-1.0.1.tar.bz2.
=> SHA256 Checksum OK for xorg/app/xdriinfo-1.0.1.tar.bz2.
===>  Patching for xdriinfo-1.0.1_1
===>   xdriinfo-1.0.1_1 depends on file:
/usr/local/libdata/pkgconfig/glproto.pc - found
===>   xdriinfo-1.0.1_1 depends on file: /usr/local/libdata/pkgconfig/x11.pc
- found
===>   xdriinfo-1.0.1_1 depends on executable in : pkg-config - found
===>   xdriinfo-1.0.1_1 depends on shared library: GL.1 - found
===>  Configuring for xdriinfo-1.0.1_1
configure: WARNING: you should use --build, --host, --target
checking for a BSD-compatible install... /usr/bin/install -c -o root -g
wheel
checking whether build environment is sane... yes
checking for gawk... no
checking for mawk... no
checking for nawk... nawk
checking whether make sets $(MAKE)... yes
checking whether to enable maintainer-specific portions of Makefiles... no
checking for i386-portbld-freebsd6.2-gcc... cc
checking for C compiler default output file name... a.out
checking whether the C compiler works... yes
checking whether we are cross compiling... no
checking for suffix of executables...
checking for suffix of object files... o
checking whether we are using the GNU C compiler... yes
checking whether cc accepts -g... yes
checking for cc option to accept ANSI C... none needed
checking for style of include used by make... GNU
checking dependency style of cc... gcc3
checking for a BSD-compatible install... /usr/bin/install -c -o root -g
wheel
checking return type of signal handlers... void
checking for i386-portbld-freebsd6.2-pkg-config... no
checking for pkg-config... /usr/local/bin/pkg-config
checking pkg-config is at least version 0.9.0... yes
checking for XDRIINFO... yes
checking for library containing glXGetProcAddressARB... no
configure: error: cannot find GL library - make sure Mesa or other OpenGL
package is installed
See `config.log' for more details.
===>  Script "configure" failed unexpectedly.
Please report the problem to [EMAIL PROTECTED] [maintainer] and attach the
"/usr/ports/x11/xdriinfo/work/xdriinfo-1.0.1/config.log" including the
output
of the failure of your make command. Also, it might be a good idea to
provide
an overview of all packages installed on your system (e.g. an `ls
/var/db/pkg`).
*** Error code 1

Stop in /usr/ports/x11/xdriinfo.
** Command failed [exit code 1]: /usr/bin/script -qa
/tmp/portinstall.44338.0 env make
** Fix the problem and try again.
** Listing the failed packages (*:skipped / !:failed)
       ! x11/xdriinfo  (configure error)
--->  Packages processed: 0 done, 0 ignored, 0 skipped and 1 failed
Command failed [exit code 1]: /usr/local/sbin/portinstall x11/xdriinfo

I've tried updating the libGL, and even the Mesa, but these progams fail on
build as well. I'm not exactly new to FreeBSD but it has been a while since
I have used it and I'm just now getting back into it. So any help would be
greatly appreciated.
_______________________________________________
freebsd-questions@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/freebsd-questions
To unsubscribe, send any mail to "[EMAIL PROTECTED]"

Reply via email to